<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TooltipifiedRadChart.aspx.cs"
    Inherits="TooltipifiedRadChart" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div id="chartContainer">
        <telerik:RadChart ID="RadChart1" runat="server" ChartImageFormat="Jpeg" EnableEmbeddedSkins="False"
            SeriesOrientation="Horizontal">
            <PlotArea>
                <YAxis MaxValue="50" Step="10">
                    <AxisLabel>
                        <Appearance RotationAngle="0">
                        </Appearance>
                    </AxisLabel>
                </YAxis>
                <YAxis2 MaxValue="3" MinValue="1">
                    <AxisLabel>
                        <Appearance RotationAngle="0">
                        </Appearance>
                    </AxisLabel>
                </YAxis2>
                <XAxis MaxValue="3" MinValue="1">
                    <AxisLabel>
                        <Appearance RotationAngle="270">
                        </Appearance>
                    </AxisLabel>
                </XAxis>
            </PlotArea>
            <ChartTitle>
                <TextBlock Text="Roll over the series' items">
                </TextBlock>
            </ChartTitle>
            <Series>
                <telerik:ChartSeries Name="Series 1">
                    <Items>
                        <telerik:ChartSeriesItem ActiveRegion-Tooltip="Item1" Name="Item 1" YValue="50">
                        </telerik:ChartSeriesItem>
                        <telerik:ChartSeriesItem ActiveRegion-Tooltip="Item2" Name="Item 2" YValue="30">
                        </telerik:ChartSeriesItem>
                        <telerik:ChartSeriesItem ActiveRegion-Tooltip="Item3" Name="Item 3" YValue="20">
                        </telerik:ChartSeriesItem>
                    </Items>
                </telerik:ChartSeries>
            </Series>
        </telerik:RadChart>
    </div>
    <telerik:RadToolTipManager ID="tooltipMng" runat="server" OnAjaxUpdate="OnAjaxUpdate">
        <TargetControls>
            <telerik:ToolTipTargetControl TargetControlID="area0" IsClientID="true" Value="1" />
            <telerik:ToolTipTargetControl TargetControlID="area1" IsClientID="true" Value="2" />
            <telerik:ToolTipTargetControl TargetControlID="area2" IsClientID="true" Value="3" />
        </TargetControls>
    </telerik:RadToolTipManager>

    <script type="text/javascript">

        var map = document.getElementsByName("imRadChart1")[0];
        var areas = map.getElementsByTagName("AREA");

        for (var i = 0; i < areas.length; i++) {
            var area = areas[i];
            area.setAttribute("id", "area" + i);
            area.removeAttribute("title");
            area.removeAttribute("alt");
        }

    </script>

    </form>
</body>
</html>
